﻿@model IEnumerable<HomeRemediesOnlineWebApp.Areas.Admin.Models.Customer>

@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<h2>Customers</h2>

<p>
    @Html.ActionLink("Create New Customer", "Create")
</p>
@if (Model.Count() == 0)
{
    <br />
    <div id="EmptyDataMsg" class="alert alert-info">
        <strong>Welcome!</strong> Our shop is currently empty.
    </div>
}
else
{
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.FName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Phone)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Address1)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Address2)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th colspan="5"></th>
        </tr>

        @foreach (var item in Model)
        {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.FName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Phone)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Address1)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Address2)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Email)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id = item.CID })
        </td>
        <td>|</td>
        <td>
            @Html.ActionLink("Details", "Details", new { id = item.CID })
        </td>
        <td>|</td>
        <td>
            @Html.ActionLink("Delete", "Delete", new { id = item.CID })
        </td>
    </tr>
        }

    </table>
}

